# Interface methods for submodule: CenteredEuler3DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Euler3DTransformProxy as _Euler3DTransformProxy


# Interface methods for class: CenteredEuler3DTransform
class CenteredEuler3DTransformProxy(_Euler3DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

